Page MenuHomePhabricator

[CLANG] [AVX512] [BUILTIN] Adding prol{d|q|w}{128|256|512} builtin to clang .
ClosedPublic

Authored by m_zuckerman on Feb 8 2016, 6:58 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

m_zuckerman updated this revision to Diff 47192.Feb 8 2016, 6:58 AM
m_zuckerman retitled this revision from to [CLANG] [AVX512] [BUILTIN] Adding prol{d|q|w}{128|256|512} builtin to clang ..
m_zuckerman updated this object.
m_zuckerman added reviewers: AsafBadouh, igorb, delena.
m_zuckerman added a subscriber: llvm-commits.
delena added inline comments.Feb 9 2016, 10:07 AM
lib/Headers/avx512vlintrin.h
35 ↗(On Diff #47192)

The comment should be moved down - int compare is the next one.

4608 ↗(On Diff #47192)

I thought we are adding compiler intrinsics as static inline functions.

AsafBadouh added inline comments.Feb 10 2016, 12:42 AM
lib/Headers/avx512vlintrin.h
4608 ↗(On Diff #47192)

the second operand is "const int" that's why we used define instead of static inline function.

m_zuckerman marked an inline comment as done.
delena accepted this revision.Feb 21 2016, 11:58 AM
delena edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 21 2016, 11:58 AM
This revision was automatically updated to reflect the committed changes.